Package org.silverpeas.mobile.shared.dto.documents

## Class AttachmentDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.documents.AttachmentDTO

- All Implemented Interfaces:
    `Serializable`

      public class AttachmentDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttachmentDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAuthor()` |
    `String` | `getDescription()` |
    `String` | `getId()` |
    `String` | `getInstanceId()` |
    `String` | `getLang()` |
    `int` | `getOrderNum()` |
    `long` | `getSize()` |
    `String` | `getTitle()` |
    `String` | `getType()` |
    `String` | `getUserId()` |
    `boolean` | `isDownloadAllowed()` |
    `void` | `setAuthor​(String author)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDownloadAllowed​(boolean downloadAllowed)` |
    `void` | `setId​(String id)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLang​(String lang)` |
    `void` | `setOrderNum​(int orderNum)` |
    `void` | `setSize​(long size)` |
    `void` | `setTitle​(String title)` |
    `void` | `setType​(String type)` |
    `void` | `setUserId​(String userId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentDTO

          public AttachmentDTO()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getSize

          public long getSize()

    - #### setSize

          public void setSize​(long size)

    - #### getAuthor

          public String getAuthor()

    - #### setAuthor

          public void setAuthor​(String author)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getOrderNum

          public int getOrderNum()

    - #### setOrderNum

          public void setOrderNum​(int orderNum)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId​(String userId)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getLang

          public String getLang()

    - #### setLang

          public void setLang​(String lang)

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### setDownloadAllowed

          public void setDownloadAllowed​(boolean downloadAllowed)

    - #### isDownloadAllowed

          public boolean isDownloadAllowed()

    - #### setDescription

          public void setDescription​(String description)

    - #### getDescription

          public String getDescription()